Latest Diablo 3 News
DiabloWiki Updates
Support the site! Become a Diablo: IncGamers PAL - Remove ads and more!

How can I have both 1.06 Classic, and 1.13 LoD installed at the same time?

Discussion in 'Single Player Forum' started by Jocular, Jan 26, 2013. | Replies: 6 | Views: 376

  1. Jocular

    Jocular IncGamers Member

    Joined:
    Feb 3, 2011
    Messages:
    708
    Likes Received:
    2
    Trophy Points:
    166
    I've looked around in the stickies and I couldn't find the answer. I'm sorry if it's there though!:scared:

    As the title says, I want to be able to have both 1.06 Classic, and 1.13 LoD installed on my computer at the same time. I do have 2 different CD keys, so that isn't a problem. I was inspired by this thread:http://diablo.incgamers.com/forums/...ddie-The-in-progress-HC-untwinked-1-06-Singer to try playing 1.06 classic. I've played 1.13 Classic on bnet, and that was loads of fun. I had a magic find WW Barb (of course), a Blizz sorc, and an all blue Bone Nec. I wish I still had a screenshot of the rare Executioner Blade I used, it had something like 176%ed on it and was red:jig:

    However, I've yet to try anything pre 1.10 in years, and I'd really like to. What I'm thinking of making is a Hydra Sorc.

    So, can someone teach me how? Is it as simple as making another account on my PC (windows7) and installing classic there?

    P.S. This is a little OT, but do you guys think I should play 1.07, or 1.06? I'm open to all opinions.

    P.P.S. I do have disks old enough for 1.06, a year or two ago when I installed classic I started to play SP first, and it was in some ridiculously old version! Definitely pre 1.07. Dear god that was difficult to play, I only got to Blood Raven before I went online and downloaded the 1.13 patch
    Last edited: Jan 26, 2013
  2. TheNix

    TheNix IncGamers Member

    Joined:
    Jun 23, 2003
    Messages:
    3,027
    Likes Received:
    19
    Trophy Points:
    348
    I don't know whether Trenshadow's version switcher can cope with D2C & D2X, but it might. You can just have two separate installs, that's the way I do it.
  3. Jocular

    Jocular IncGamers Member

    Joined:
    Feb 3, 2011
    Messages:
    708
    Likes Received:
    2
    Trophy Points:
    166
    Sweet thanks, that's exactly the kind of info I was looking for. I'll try it out and see if it work.

    Though it would be nice if someone could let me know before I waste time trying
    :whistling:


    As for the two separate installs, that's in regard to having installed on two different accounts, yes?

    P.S. Ugh, forgot how horrible my CD-disk reader is...we'll see if I'm even able to get my lappy to read them...and when I was a child I unfortunately did not treat my D2 disks as well as they should have been :(
    Last edited: Jan 26, 2013
  4. Drystan

    Drystan IncGamers Member

    Joined:
    Jul 19, 2006
    Messages:
    5,982
    Likes Received:
    36
    Trophy Points:
    258
    Unfortunately, I can't really comment on Trenshadows. I know it works, however, don't use it personally. For me, I have a double install, one for V1.07, and one for 1.13. Double/separate install simply means you install the game twice, and modify your shortcuts to link to the different versions of the game. You don't need to change accounts for this.
    I can't comment whether Trenshadow version switcher will work for *all* versions (classic?), but I know it works for the most common patches.

    Basically, full install once to the default folder, patch it to the patch you want, and *move* that directory into a more detailed folder (defined by the patch you want.)
    -> "D:/Diablo II v1.07"
    Then edit shortcuts to link to that version of D2.

    Since the windows registry won't link properly, it will prompt you to install again if you re-insert the CD. Install a second time to another folder ("D:/Diablo II v 1.13") and rename shortcuts.

    I don't know how you are with computers and technology, but if you'd like some screenshots or more detail, just ask. This method allows you to have D2 installed twice on your computer, with different versions able to be loaded by different "Start menu" or "desktop" shortcuts.

    If the CD's are damaged, well... :) Good luck - you can get D2 for pretty cheap nowadays, and IIRC, can get it in digital (downloadable) format as well.
  5. Jocular

    Jocular IncGamers Member

    Joined:
    Feb 3, 2011
    Messages:
    708
    Likes Received:
    2
    Trophy Points:
    166
    I just tried 'em out, and they work! Plus I have 2 copies of 1.03 DiabloII, as well as one lonely v1.00 cinematics disk, I'm kinda surprised. (And two Diablo I CD's in pristine condition, gotta try that out soon)

    I would love some screenshots please :cloud9:

    P.S. Buying a completely new Battle Chest unfortunately wouldn't work, they're all at least v1.07


    edit: It seems to me like I already tried doing what you explain...I have v1.13 installed in a folder on my desktop. I then installed my 1.03 DII into a completely new folder. on the desktop as well. I then made sure that the new DII shortcut's pathway went to the correct folder's game.exe. However, whenever I tried to play it it would get stuck showing a black screen. I then tried playing my LoD shortcut which played v1.13 DII classic. I guess I'm doing it wrong?
    Last edited: Jan 26, 2013
  6. Drystan

    Drystan IncGamers Member

    Joined:
    Jul 19, 2006
    Messages:
    5,982
    Likes Received:
    36
    Trophy Points:
    258
    I forgot - Digital downloads of D2/LoD are already upgraded to the newest patch. The individual CD's may be too. Good catch on that one!

    You have installed D2 twice for different patches by the sound of it, but getting a black screen when loading is odd. What version of windows are you running? Another thing that is odd is your LoD shortcut loading Classic. I can only think that the pathways/shortcuts aren't linked right, or you intended to complete the install/patching, but only installed Diablo II and not finished installing LoD.

    Upload some pictures of your directorys/shortcuts, and we may be able to see where it gets messy. Otherwise, *backup your saves,* uninstall both and start from scratch.
  7. Jocular

    Jocular IncGamers Member

    Joined:
    Feb 3, 2011
    Messages:
    708
    Likes Received:
    2
    Trophy Points:
    166
    Thanks for your help and advice, but I'm getting a bit tired. I'll edit this post tomorrow after work! (Midnight in San Diego right now, and I need to get up at 6 in the A.M. :yawn:)

    Oops, I should have been clearer. v1.03 is DII only, not LoD (also it's impossible to have LoD anything other than 1.07 or later...:whistling:).

    Is that the reason why it's not working? Because I have two sets of DII installed, and one of LoD?
    Last edited: Jan 26, 2013

Share This Page